parser.h File Reference

Go to the source code of this file.

## Functions

void | Init_psych_parser ()

## Function Documentation

void Init_psych_parser | ( |  | ) |

Definition at line 538 of file parser.c.

References allocate(), cPsychParser, ePsychSyntaxError, id_alias, id_empty, id_end_document, id_end_mapping, id_end_sequence, id_end_stream, id_path, id_read, id_scalar, id_start_document, id_start_mapping, id_start_sequence, id_start_stream, INT2NUM(), mark(), mPsych, parse(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_method(), rb_define_module(), rb_eSyntaxError, rb_intern, and rb_require().

Referenced by Init_psych().